.scheme {
    padding-top: rem(24);
    padding-bottom: rem(24);

    &__header {
        text-align: center;
        margin-bottom: rem(34);

        &__title {
            font-weight: 700;
            font-size: rem(30);
            line-height: rem(37);
            margin-bottom: rem(14);
        }

        &__text {
            color: #727272;
            line-height: 140%;
            font-size: rem(16);
        }
    }

    &__main {
        display: grid;
        grid-row-gap: rem(45);
        grid-template-columns: 1fr;
    }

    &__num {
        color: $azure;
        width: rem(35);
        height: rem(35);
        border-radius: 50%;
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(23);
        margin-right: rem(24);
        display: flex;
        flex-shrink: 0;
        align-items: center;
        justify-content: center;
        border: 1px solid $azure;
    }

    &__item {
        display: flex;
        align-items: flex-start;
        position: relative;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(86);
        padding-bottom: rem(25);

        &__header {
            text-align: left;
            margin-bottom: rem(49);

            &__title {
                font-size: rem(44);
                line-height: rem(54);
                margin-bottom: rem(18);
            }

            &__text {
                font-size: rem(18);
                line-height: 140%;
            }
        }

        &__main {
            grid-column-gap: rem(40);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__item {
            display: block;
        }

        &__num {
            width: rem(46);
            height: rem(46);
            font-size: rem(22);
            line-height: rem(28);
            margin: 0 0 rem(22) 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            grid-column-gap: 0;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }

        &__text {
            width: rem(200);
        }

        &__item {

            &:before {
                top: rem(23);
                left: rem(68);
                right: rem(22);
                content: '';
                height: 2px;
                position: absolute;
                background: url("../img/scheme__line.svg") 0 0 repeat-x;
            }
        }
    }
}
